Name: gsoko
Version: 0.4.2
Release: alt1

Summary: Clone of the Sokoban game
License: GPL
Group: Games/Puzzles
Url: http://www.via.ecp.fr/~jm/gsoko.html
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version-src.tar.gz
Source1: %name.menu
Source2: %name.xpm

# Automatically added by buildreq on Fri Mar 28 2003
BuildRequires: XFree86-devel glib-devel gtk+-devel

%description
gSoko is a gtk+ clone of the famous Sokoban game.  The goal of the
game is to push all the boxes on the squares with a red pattern.

%prep
%setup -q -n %name

%build
make DATADIR='"%_datadir/%name"'

%install
%__mkdir_p %buildroot%_bindir
%__install %name %buildroot%_bindir
%__mkdir_p %buildroot%_datadir/%name
%__cp -R img levels %buildroot%_datadir/%name
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGES README
%_bindir/%name
%_menudir/*
%_datadir/%name
%_datadir/pixmaps/*

%changelog
* Wed Jun 4 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4.2-alt1
- 0.4.2

* Sun May 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- First version of RPM package.

